Package org.eclipse.birt.report.model.api.simpleapi

# Interface IHighlightRule

public interface IHighlightRule
Represents the design of an HighLightRule in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getBackGroundColor()`
Returns backgroudcolor
`String`
`getColor()`
Returns color
`String`
`getDateTimeFormat()`
Return date time format.
`String`
`getFontStyle()`
Returns font style
`String`
`getFontWeight()`
Returns font weight.
`String`
`getOperator()`
Returns Operator
`String`
`getStringFormat()`
Returns string format
`IStructure`
`getStructure()`
Returns structure.
`String`
`getTestExpression()`
Returns Test Expression
`String`
`getValue1()`
Returns value1
`String`
`getValue2()`
Returns value2
`void`
`setBackGroundColor(String color)`
Sets backgroudcolor
`void`
`setColor(String color)`
Sets color
`void`
`setDateTimeFormat(String format)`
Sets date time format
`void`
`setFontStyle(String style)`
Sets font style
`void`
`setFontWeight(String weight)`
Sets font weight.
`void`
`setOperator(String operator)`
Sets Operator
`void`
`setStringFormat(String format)`
Sets string format
`void`
`setTestExpression(String expression)`
Sets Test Expression
`void`
`setValue1(String value1)`
Sets Value1
`void`
`setValue2(String value2)`
Sets Value2

## Method Details

### getTestExpression

String getTestExpression()
Returns Test Expression

Returns:
  Test Expression

### setTestExpression

void setTestExpression(String expression) throws SemanticException
Sets Test Expression

Parameters:
  `expression` -
Throws:
  `SemanticException`

### getFontStyle

String getFontStyle()
Returns font style

Returns:
  font style

### setFontStyle

void setFontStyle(String style) throws SemanticException
Sets font style

Parameters:
  `style` -
Throws:
  `SemanticException`

### getFontWeight

String getFontWeight()
Returns font weight.

Returns:
  font weight.

### setFontWeight

void setFontWeight(String weight) throws SemanticException
Sets font weight.

Parameters:
  `weight` -
Throws:
  `SemanticException`

### getDateTimeFormat

String getDateTimeFormat()
Return date time format.

Returns:
  date time format.

### setDateTimeFormat

void setDateTimeFormat(String format) throws SemanticException
Sets date time format

Parameters:
  `format` -
Throws:
  `SemanticException`

### getStringFormat

String getStringFormat()
Returns string format

Returns:
  string format

### setStringFormat

void setStringFormat(String format) throws SemanticException
Sets string format

Parameters:
  `format` -
Throws:
  `SemanticException`

### getColor

String getColor()
Returns color

Returns:
  color

### getValue1

String getValue1()
Returns value1

Returns:
  value1

### getValue2

String getValue2()
Returns value2

Returns:
  value2

### getOperator

String getOperator()
Returns Operator

Returns:
  operator

### getBackGroundColor

String getBackGroundColor()
Returns backgroudcolor

Returns:
  backgroudcolor

### setColor

void setColor(String color) throws SemanticException
Sets color

Parameters:
  `color` -
Throws:
  `SemanticException`

### setValue1

void setValue1(String value1) throws SemanticException
Sets Value1

Parameters:
  `value1` -
Throws:
  `SemanticException`

### setValue2

void setValue2(String value2) throws SemanticException
Sets Value2

Parameters:
  `value2` -
Throws:
  `SemanticException`

### setOperator

void setOperator(String operator) throws SemanticException
Sets Operator

Parameters:
  `operator` -
Throws:
  `SemanticException`

### setBackGroundColor

void setBackGroundColor(String color) throws SemanticException
Sets backgroudcolor

Parameters:
  `color` -
Throws:
  `SemanticException`

### getStructure

IStructure getStructure()
Returns structure.

Returns:
  structure